Subject: Re: bug#65030: 30.0.50; Check keyword args of make-process

From: Visuwesh <[email-masked]>
Date: Tue, 08 Aug 2023 19:07:32 +0530

[Tuesday August 08, 2023] Robert Pluim wrote:

>>>>>> On Sun, 6 Aug 2023 10:49:59 +0200, Mattias Engdegård <[email-masked]> said:
>
>     Mattias> 6 aug. 2023 kl. 06.58 skrev Eli Zaretskii <[email-masked]>:
>     >> Any specific comments to the proposed patch?  Or do you think it is
>     >> good to go?
>
>     Mattias> Good to go as far as I'm concerned. It will be genuinely useful, and I
>     Mattias> see no serious problems with the implementation.
>
>     Mattias> It can be extended but that would not prevent it from being committed
>     Mattias> as-is. For example, something that detects omitted values in the
>     Mattias> middle, not just the end, of the argument list. (The feasibility of
>     Mattias> this depends on the likelihood of argument values being keywords
>     Mattias> themselves.)
>
> I donʼt think any of the `make-process' keywords accept keywords as
> values, but missing values tends to cause catastrophic failure, so I
> donʼt think itʼs that common a mistake.

Can you not pass keywords as non-nil values to :query and :stop?
Something like,

    (make-process :name NAME :command COMMAND :query :yes)